<?php
/**
 * @version     $Id$
 * @package     Personnel
 * @subpackage  com_personnel
 * @copyright   Copyright 2010 - 2011 Jumbotron Sports. All rights reserved.
 * @license     GNU General Public License version 2 or later.
 */

// No direct access
defined('_JEXEC') or die;

jimport('joomla.application.component.view');

/**
 * Personnel view.
 *
 * @package     Personnel
 * @subpackage  com_personnel
 * @since       1.0.0
 */
class PersonnelViewPersonnel extends JView
{
	/**
	 * Override the display method for the view.
	 *
	 * @return  void
	 * @since   1.0.0
	 */
	public function display()
	{
		$this->addToolbar();
		parent::display();
	}

	/**
	 * Add the page title and toolbar.
	 *
	 * @return  void
	 * @since   1.0.0
	 */
	protected function addToolbar()
	{
		$canDo	= PersonnelHelper::getActions();

		// Add the view title.
		JToolBarHelper::title(JText::_('COM_PERSONNEL_TITLE_PERSONNEL'), 'personnel');

		// Check if the Options button can be added.
		if ($canDo->get('core.admin')) {
			JToolBarHelper::preferences('personnel');
		}
	}
}